#
# spec file for package mingw64-headers
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mingw64-headers
Version:        7.0.0
Release:        lp152.1.1
Summary:        MinGW-w64 headers for Win32 and Win64
License:        SUSE-Public-Domain
Group:          Development/Libraries/C and C++
URL:            http://mingw-w64.sf.net/
Source:         http://downloads.sf.net/mingw-w64/mingw-w64-v%{version}.tar.bz2
Source1000:     %name-rpmlintrc
BuildRequires:  mingw64-filesystem
BuildRequires:  xz
#!BuildIgnore:	post-build-checks
Requires:       mingw64-unistd-pthread-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
MinGW-w64 delivers runtime, headers and libs for developing both 64
bit (x64) and 32 bit (x86) windows applications using GCC and other
free software compilers.

This subpackage contains the header files.

%package dummy-pthread
Summary:        Stub pthread header files for MinGW
Group:          Development/Libraries/C and C++
Provides:       mingw64-unistd-pthread-devel

%description dummy-pthread
This subpackage contains stub pthread header files that are empty
and only exist to satisfy dependencies in MinGW's unistd.h until
an actual pthread implementation (like winpthreads) is installed.

%prep
%setup -q -n mingw-w64-v%{version}/mingw-w64-headers

%build
%_mingw64_configure \
	--enable-sdk=all \
	--enable-secure-api
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%_mingw64_includedir/
%exclude %_mingw64_includedir/pthread_*.h

%files dummy-pthread
%defattr(-,root,root)
%dir %_mingw64_includedir
%_mingw64_includedir/pthread_*.h

%changelog
* Sat Nov 23 2019 Ismail Dönmez <idonmez@suse.com>
- Update to new upstream release 7.0.0
  * _FORTIFY_SOURCE support thanks to Christian Franke.
  * Lots of math fixes from Martin Storsjö.
  * Many headers updated from Wine by Jacek Caban.
  * UCRT support by Martin Storsjö.
* Wed Oct 17 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 6.0.0
  * C++ __cxa_atexit
  * Massive additions to support UCRT
  * Sync COM interface headers with Wine development
  * WinRT additions
  * ARM32 and ARM64 additions
  * CRT library api-ms-win-core additions
  * CRT library def file reorganization
- Removed popcnt.patch, 0001-Add-missing-D3D_CS_-variables.patch
  (no longer needed; included upstream)
* Tue Nov 21 2017 idonmez@suse.com
- Update to version 5.0.3
* Thu Apr 20 2017 idonmez@suse.com
- Add popcnt.patch
* Tue Mar 28 2017 idonmez@suse.com
- Update to version 5.0.2
  * RegSetKeyValueW now has proper wide arguments.
  * Fix pdh.h function calls to have proper stdcall decorators.
* Sat Jan 14 2017 idonmez@suse.com
- Update to version 5.0.1
* Wed Mar 23 2016 jengelh@inai.de
- Update to new upstream release 5.0~rc1
  * Basic ARM support
  * gcc-5 support
* Fri Sep  4 2015 idonmez@suse.com
- Update to version 4.0.4
  * Fixes to tchar.h
- Remove order.diff, upstream
* Tue Apr 21 2015 jengelh@inai.de
- Update to new upstream release 4.0.2
  * Fix PdhValidatePathExW declaration.
  * Fix WAVE_FORMAT_POLYCOM_G729_A typo in mmreg.h.
  * Fix missing newlines separating define macros in commctrl.h.
* Thu Mar 26 2015 jengelh@inai.de
- Add order.diff to fix SHGetFolderPathW compile errors in code
  using shlobj.h.
* Wed Mar 25 2015 jengelh@inai.de
- Update to mingw-w64-4.0.1
  * 32-bit ARM thumb software math
  * Improved DirectX 11, OpenGL 4.5/GLES 3.1 support
  * added POSIX.1-2008 ftw.h
  * more secure functions: qsort_s, gmtime64_s, time_s.h, ...
  * added to stat.h: S_IRGRP, S_IRWXG, ...
  * added to unistd.h: SHUT_*
